## django-notification 1.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-notification.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-notification.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-notification"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-notification"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-notification 0.1.5

=== debian/changelog ===
django-notification (0.1.5-3) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 15:36:11 +0000

django-notification (0.1.5-2) unstable; urgency=low

  [ Jonathan Wiltshire ]
  * New patch import-feed.patch: properly import
    django.contrib.syndication.views.Feed (Closes: #681588)

  [ Clint Adams ]
  * Bump to Standards-Version 3.9.3.
  * Orphan package.

 -- Clint Adams <clint@debian.org>  Tue, 17 Jul 2012 00:44:07 -0400

django-notification (0.1.5-1) unstable; urgency=low

  * Initial release.  closes: #626972.

 -- Clint Adams <clint@debian.org>  Mon, 16 May 2011 14:34:30 -0400

=== debian/control ===
Source: django-notification
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: debhelper (>= 7.0.50~)
Build-Depends: python-setuptools
Homepage: http://github.com/jtauber/django-notification/
Vcs-Browser: http://git.debian.org/?p=collab-maint/django-notification.git
Vcs-Git: git://git.debian.org/git/collab-maint/django-notification.git

Package: python-django-notification
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: user notification management for Django
 Many sites need to notify users when certain events have
 occurred and to allow configurable options as to how those
 notifications are to be received, including:
 .
  * submission of notification messages by other apps
  * notification messages on signing in
  * notification messages via email (configurable by user)
  * notification messages via feed

## django-notification 1.2.0

=== debian/changelog ===
django-notification (1.2.0-3) unstable; urgency=medium

  * Import the project from alioth-archive in Salsa and adopt it in the DPMT.
  * Remove Python 2 support after the upload of Django 2.2.
  * Ran wrap-and-sort -bast.
  * Removed now useless X-Python-Version: >= 2.7 and X-Python3-Version: >= 3.3.
  * Standards-Version: 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 05:10:27 +0200

django-notification (1.2.0-2) unstable; urgency=medium

  * QA upload.
  * some typo in previous Debian revision fixed:
      - debian/changelog
  * debian/copyright:
      - comment to clarify who is Eldarion, present in docs/conf.py file.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 15 Jul 2016 12:52:37 -0300

django-notification (1.2.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
      - with Python3 support. 
  * debian/control:
      - Depends field updated for Python3.
      - entry for Python3 package created.
  * debian/*.docs files created.
      - settings and usage files packed.
  * debian/patches:
      - import-feed.patch not applied.
  * debian/rules:
      - using PYBUILD_NAME. Thanks Tiago "Myhro" Ilieve
      - support for Python3 added
      - using pybuild buildsystem
      - skipping tests.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 13 Jul 2016 11:51:58 -0300

django-notification (0.1.5-4) unstable; urgency=medium

  * QA upload.
  * DH_LEVEL: 9
  * egg-info SOURCES.txt file is not being packaged by the packaging
    system. http://setuptools.readthedocs.io says that the file is not so
    important, so I am doing nothing about it.
  * debian/copyright:
      - format 1.0
      - updated
  * debian/control:
      - Build-Depends-Indep field removed.
      - python-all added to Build-Depends.
      - dh-python added to Build-Depends.
      - using X-Python-Version: >= 2.5
      - bump Standards-Version from 3.9.3 to 3.9.8
      - Vcs-* updated and using https.
  * debian/rules:
      - override_dh_clean added. (Closes: #681825)
  * debian/watch:
      - the project has a new name now. There is no need to create an
        operational debian/watch file. Just putting an information that
        the project has a new name.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 01 Jul 2016 12:23:55 -0300

=== debian/control ===
Source: django-notification
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Herbert Parentes Fortes Neto <hpfn@debian.org>,
 Matthias Klose <doko@debian.org>,
 Clint Adams <clint@debian.org>,
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Standards-Version: 4.4.0
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Homepage: http://github.com/jtauber/django-notification/
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-notification
Vcs-Git: https://salsa.debian.org/python-team/modules/django-notification.git

Package: python3-django-notification
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: user notification management for Django (Python 3 version)
 Many sites need to notify users when certain events have
 occurred and to allow configurable options as to how those
 notifications are to be received, including:
 .
  * submission of notification messages by other apps
  * notification messages on signing in
  * notification messages via email (configurable by user)
  * notification messages via feed
 .
 This package is for Python3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-notification

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_clean:
	rm -f django_notification.egg-info/SOURCES.txt
	#rm -f django_notification.egg-info/PKG-INFO
	rm -f django_notification.egg-info/requires.txt
	dh_clean

=== debian/watch ===
version=4
# project was renamed to https://github.com/pinax/pinax-notifications
# but has a 1.3.3 release - 2015-02-24.
# at https://pypi.python.org/pypi/django-notification/
